Bug 1744139 - Request to build xfce for EPEL 8
Summary: Request to build xfce for EPEL 8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: xfce4-session
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1778302
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-21 12:43 UTC by adam winberg
Modified: 2020-01-23 13:16 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-11 02:30:10 UTC
Type: Bug


Attachments (Terms of Use)

Description adam winberg 2019-08-21 12:43:15 UTC
Please build xfce for EPEL 8

Comment 1 Mukundan Ragavan 2019-08-21 21:00:45 UTC
Yeah, in my to-do. I will shoot for Xfce 4.14 once it has lived in Fedora for a couple of weeks or so.

Comment 2 serge sterck 2019-10-12 11:52:48 UTC
Already build see my site

https://sauronlenoir.be

Comment 3 serge sterck 2019-10-12 11:55:15 UTC
direct link in english : https://sauronlenoir.be/index.php/en/xxx

Comment 4 Tony Stocker 2019-11-04 11:42:01 UTC
Any update or ETA on when this will enter testing? The default (and even legacy) GNOME3 mandatory desktop makes me want to run my head through the wall several times a day.

Comment 5 Mukundan Ragavan 2019-11-05 23:20:35 UTC
Sorry for the delay. I have been really busy these days. I will endeavor to get xfce to EPEL8 by the end of this month.

Comment 6 Mukundan Ragavan 2019-11-05 23:21:31 UTC
(In reply to Mukundan Ragavan from comment #5)
> Sorry for the delay. I have been really busy these days. I will endeavor to
> get xfce to EPEL8 by the end of this month.

There should be no delay beyond that.

Comment 7 Scott Dowdle 2019-11-20 17:36:15 UTC
Making any progress on your efforts to build XFCE packages for EL8?  I am so looking forward to your release.

Comment 8 serge sterck 2019-11-20 18:51:24 UTC
Scoot Donwde It has already been build take my SRPM & RPM from my site
See my site i'm running it since month
i have also make a repository and a group so you can yse dnf groupinstall
see https://sauronlenoir.be/index.php/en/xxx


 Mukundan Ragavan  take my build you have the rpms et srpms for centos 8 
just loot at it and after that you can it in your repo  i'm currently running it more thant 1 month without any bugs.

Comment 9 Scott Dowdle 2019-11-20 19:45:17 UTC
Greetings,

EPEL (and now EPEL Playground) are well known and used by millions (I'm guessing) of users.  Getting XFCE available in EPEL, where it has been available in the past, is definitely a goal I'd like to support.

Using someone else's one-off repo is not something I like to do... because there are no guarantees it will continue to be maintained or that there will be a easy transition from a one-off repo to EPEL once the packages are available there.  I am in no way trying to repudiate you, your skills, your efforts, nor your packages.

Another roadblock for me with EL8 is the lack of a livecd-tools package, historically in the CentOS Extras repo.  I'd really like to build live/installable C8 media with XFCE as the default desktop... so I've got to be patient... so while I'd like to see XFCE packages sooner than later, I'm not in a terrible hurry... at least not until after livecd-tools (which provides livecd-creator) appears... assuming it ever does.  I tried using a Fedora 28 livecd-tools package (which EL8 is loosely based on?) but there were missing python deps and conflicts that were difficult to get past... which I'm guessing is part of the reason it isn't currently available.  This paragraph is way off-topic so please forgive.

TYL,
Scott Dowdle

Comment 10 Mukundan Ragavan 2019-11-21 22:27:51 UTC
hi scott, yes I will build this in the next couple of weeks.

Comment 11 Mukundan Ragavan 2019-11-25 22:35:39 UTC
I have requested EPEL8 branches. Xfce will appear in EPEL8 testing repos within the next week or so.

Comment 12 anax_casablanca 2019-11-29 09:27:47 UTC
Could you please add the XFCE Desktop to Centos 8 like in Centos 7?
Thank you very much

suomi

Comment 13 Mukundan Ragavan 2019-11-29 14:24:15 UTC
yes. In progress.

Comment 14 Mukundan Ragavan 2019-12-08 14:02:32 UTC
just to give an update here - I have a filed requests for some other packages (~17, I think) to be built. These are dependencies for building Xfce.

This COPR shows the progress I have made - https://copr.fedorainfracloud.org/coprs/nonamedotc/xfce414_epel8/

Comment 15 Mukundan Ragavan 2019-12-17 00:24:10 UTC
I have submitted an update for Xfce on EPEL-8. There are one or two packages missing at the moment (e.g. mousepad) but those will be built soon as well.

Here is the link to the update - https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-a7041bd79f

Comment 16 Fedora Update System 2019-12-18 00:10:02 UTC
Thunar-1.8.11-1.el8, exo-0.12.10-1.el8, garcon-0.6.4-3.el8, libxfce4ui-4.14.1-3.el8, libxfce4util-4.14.0-1.el8, mousepad-0.4.2-1.el8, ristretto-0.10.0-2.el8, thunar-volman-0.9.5-1.el8, tumbler-0.2.7-1.el8, xfce-polkit-0.3-3.el8, xfce4-appfinder-4.14.0-1.el8, xfce4-battery-plugin-1.1.3-1.el8, xfce4-datetime-plugin-0.8.0-1.el8, xfce4-netload-plugin-1.3.2-1.el8, xfce4-notifyd-0.4.4-2.el8, xfce4-panel-4.14.1-1.el8, xfce4-places-plugin-1.8.1-1.el8, xfce4-power-manager-1.6.5-2.el8, xfce4-pulseaudio-plugin-0.4.2-1.el8, xfce4-screensaver-0.1.8-2.el8, xfce4-screenshooter-1.9.7-1.el8, xfce4-session-4.14.0-1.el8, xfce4-settings-4.14.1-2.el8, xfce4-smartbookmark-plugin-0.5.1-1.el8, xfce4-systemload-plugin-1.2.3-2.el8, xfce4-terminal-0.8.8-2.el8, xfce4-time-out-plugin-1.1.0-1.el8, xfce4-weather-plugin-0.10.0-2.el8, xfce4-whiskermenu-plugin-2.3.4-1.el8, xfconf-4.14.1-2.el8, xfdashboard-0.7.7-1.el8, xfdesktop-4.14.1-2.el8, xfwm4-4.14.0-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-a7041bd79f

Comment 17 Fedora Update System 2019-12-19 03:16:53 UTC
FEDORA-EPEL-2019-a7041bd79f has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-a7041bd79f

Comment 18 Fedora Update System 2019-12-20 00:53:20 UTC
Thunar-1.8.11-1.el8, exo-0.12.10-1.el8, garcon-0.6.4-3.el8, libxfce4ui-4.14.1-3.el8, libxfce4util-4.14.0-1.el8, mousepad-0.4.2-1.el8, ristretto-0.10.0-2.el8, thunar-volman-0.9.5-1.el8, tumbler-0.2.7-1.el8, xfce-polkit-0.3-3.el8, xfce4-appfinder-4.14.0-1.el8, xfce4-battery-plugin-1.1.3-1.el8, xfce4-datetime-plugin-0.8.0-1.el8, xfce4-netload-plugin-1.3.2-1.el8, xfce4-notifyd-0.4.4-2.el8, xfce4-panel-4.14.1-1.el8, xfce4-places-plugin-1.8.1-1.el8, xfce4-power-manager-1.6.5-2.el8, xfce4-pulseaudio-plugin-0.4.2-1.el8, xfce4-screensaver-0.1.8-2.el8, xfce4-screenshooter-1.9.7-1.el8, xfce4-session-4.14.0-1.el8, xfce4-settings-4.14.1-2.el8, xfce4-smartbookmark-plugin-0.5.1-1.el8, xfce4-systemload-plugin-1.2.3-2.el8, xfce4-terminal-0.8.8-2.el8, xfce4-time-out-plugin-1.1.0-1.el8, xfce4-weather-plugin-0.10.0-2.el8, xfce4-whiskermenu-plugin-2.3.4-1.el8, xfconf-4.14.1-2.el8, xfdashboard-0.7.7-1.el8, xfdesktop-4.14.1-3.el8, xfwm4-4.14.0-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-a7041bd79f

Comment 19 Krause.Markus 2020-01-05 13:36:11 UTC
Thanks a heap for providing this, finally some remedy for this horrendous GNOME 3 mess RHEL decided to make the only option (still would like to know who they thought might find this acceptable...)
Also this will enable proper use of X2GO instead of medieval VNC.

Tried the latest state from epel-testing and it works well for me. Would like to see this move to EPEL stable soon.

Comment 20 Mukundan Ragavan 2020-01-06 00:04:33 UTC
I have not seen much positive feedback on bodhi after the updates got pushed. Yours is the first! :)

I will push it to stable next week.

Comment 21 Fedora Update System 2020-01-08 11:39:06 UTC
Thunar-1.8.11-1.el8, exo-0.12.10-1.el8, garcon-0.6.4-3.el8, libxfce4ui-4.14.1-3.el8, libxfce4util-4.14.0-1.el8, mousepad-0.4.2-1.el8, ristretto-0.10.0-2.el8, thunar-volman-0.9.5-1.el8, tumbler-0.2.7-1.el8, xfce-polkit-0.3-3.el8, xfce4-appfinder-4.14.0-1.el8, xfce4-battery-plugin-1.1.3-1.el8, xfce4-datetime-plugin-0.8.0-1.el8, xfce4-netload-plugin-1.3.2-1.el8, xfce4-notifyd-0.4.4-2.el8, xfce4-panel-4.14.1-1.el8, xfce4-places-plugin-1.8.1-1.el8, xfce4-power-manager-1.6.5-2.el8, xfce4-pulseaudio-plugin-0.4.2-1.el8, xfce4-screensaver-0.1.8-2.el8, xfce4-screenshooter-1.9.7-1.el8, xfce4-session-4.14.0-1.el8, xfce4-settings-4.14.1-2.el8, xfce4-smartbookmark-plugin-0.5.1-1.el8, xfce4-systemload-plugin-1.2.3-2.el8, xfce4-terminal-0.8.8-2.el8, xfce4-time-out-plugin-1.1.0-1.el8, xfce4-weather-plugin-0.10.0-2.el8, xfce4-whiskermenu-plugin-2.3.4-1.el8, xfconf-4.14.1-2.el8, xfdashboard-0.7.7-1.el8, xfdesktop-4.14.1-3.el8, xfwm4-4.14.0-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Jordi Sanfeliu 2020-01-11 02:06:54 UTC
(In reply to Mukundan Ragavan from comment #20)
> I have not seen much positive feedback on bodhi after the updates got
> pushed. Yours is the first! :)
> 
> I will push it to stable next week.

I completely agree with the comments of Krause.Markus, and Mukundan please, believe me when I say you that your Xfce port to EPEL 8 is immensely appreciated.

Personally I'd prefer Cinnamon desktop, but I can live with Xfce in the meantime.

Do you plan to also build Cinnamon for EPEL 8?
:-)

Comment 23 Mukundan Ragavan 2020-01-11 02:30:10 UTC
Xfce 4.14 should be in EPEL8 stable repositories now. I am sure there are a few issues to work out though.

I do no work with cinnamon though. Sorry! :)

Comment 24 Misha Ramendik 2020-01-23 06:13:13 UTC
The packages appear to be in the repository but "yum groupinstall Xfce" does not work. It does work if I add the sauronlenoir repository.

Is this a problem with the EPEL build or on my end? Do I need to reopen this bug?

Comment 25 Tony Stocker 2020-01-23 11:19:22 UTC
I can confirm that it's not just Misha. I am also unable to do a 'yum groupinstall Xfce', please note that I tried the derivations: 'Xfce', 'xfce', 'Xfce4', and 'xfce4' for the final parameter and none were successful. All of them returned "Module or Group '[option]' is not available."

Comment 26 Scott Dowdle 2020-01-23 13:04:21 UTC
It isn't a bug.  It's just that there isn't a package group named "Xfce".  If you do a "dnf grouplist | grep -i xfce" nothing shows up.  So you have to do a more targeted package list install... or just shotgun it like I prefer:

dnf install xfce4*

That should drag in everything needed.  If it is more than you want, feel free to remove any undesired packages as long as they don't take out more than you wanted.

I guess a "Request for Enhancement" ticket could be filed to make it installable as a package group.

Comment 27 Krause.Markus 2020-01-23 13:16:34 UTC
(In reply to Scott Dowdle from comment #26)
> It isn't a bug.  It's just that there isn't a package group named "Xfce". 
> If you do a "dnf grouplist | grep -i xfce" nothing shows up.  So you have to
> do a more targeted package list install... or just shotgun it like I prefer:
> 
> dnf install xfce4*
> 
> That should drag in everything needed.  If it is more than you want, feel
> free to remove any undesired packages as long as they don't take out more
> than you wanted.
> 
> I guess a "Request for Enhancement" ticket could be filed to make it
> installable as a package group.

This is indeed the rigth method I also used and which works perfectly fine.

But I would also back the request to establish a package group as it is the 'natural' and established way of pulling in new desktops.
Also it will make it more consistent for users coming in from CentOS7.


Note You need to log in before you can comment on or make changes to this bug.